# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
DBus::Message Class Reference

`#include <message.h>`

Inheritance diagram for DBus::Message:

## Classes

struct | Private

## Public Member Functions

| Message (Private *, bool incref=true)
| Message (const Message &m)
| ~Message ()
Message & | operator= (const Message &m)
Message | copy ()
int | type () const
int | serial () const
int | reply_serial () const
bool | reply_serial (int)
const char * | sender () const
bool | sender (const char *s)
const char * | destination () const
bool | destination (const char *s)
bool | is_error () const
bool | is_signal (const char *interface, const char *member) const
MessageIter | reader () const
MessageIter | writer ()
bool | append (int first_type,...)
void | terminate ()

## Protected Member Functions

| Message ()

## Protected Attributes

RefPtrI< Private > | _pvt

## Friends

class | ErrorMessage
class | ReturnMessage
class | MessageIter
class | Error
class | Connection

## Detailed Description

Definition at line 158 of file message.h.

## Constructor & Destructor Documentation

## ◆ Message() [1/3]

Message::Message | ( | Message::Private * | p,
|  | bool | incref = true )

Definition at line 373 of file message.cpp.

References _pvt.

Referenced by copy(), DBus::ErrorMessage::ErrorMessage(), Message(), operator=(), and reader().

## ◆ Message() [2/3]

Message::Message | ( | const Message & | m | ) |

Definition at line 379 of file message.cpp.

References _pvt, and Message().

## ◆ ~Message()

Message::~Message | ( |  | ) |

Definition at line 385 of file message.cpp.

References _pvt.

## ◆ Message() [3/3]

Message::Message | ( |  | ) |

protected

Definition at line 368 of file message.cpp.

References _pvt.

Referenced by copy().

## Member Function Documentation

## ◆ append()

bool Message::append | ( | int | first_type,
|  |  | ... )

Definition at line 407 of file message.cpp.

References _pvt.

## ◆ copy()

Message Message::copy | ( |  | ) |

Definition at line 401 of file message.cpp.

References _pvt, Message(), and Message().

## ◆ destination() [1/2]

const char * Message::destination | ( |  | ) | const

Definition at line 453 of file message.cpp.

References _pvt.

Referenced by DBus::ObjectProxy::_invoke_method(), DBus::ObjectProxy::_invoke_method_noreply(), and DBus::ObjectAdaptor::Private::message_function_stub().

## ◆ destination() [2/2]

bool Message::destination | ( | const char * | s | ) |

Definition at line 458 of file message.cpp.

References _pvt.

## ◆ is_error()

bool Message::is_error | ( |  | ) | const

Definition at line 463 of file message.cpp.

References type().

## ◆ is_signal()

bool Message::is_signal | ( | const char * | interface,
|  | const char * | member ) const

Definition at line 468 of file message.cpp.

References _pvt.

Referenced by DBus::Connection::Private::disconn_filter_function().

## ◆ operator=()

Message & Message::operator= | ( | const Message & | m | ) |

Definition at line 390 of file message.cpp.

References _pvt, and Message().

## ◆ reader()

MessageIter Message::reader | ( |  | ) | const

Definition at line 480 of file message.cpp.

References DBus::MessageIter::_iter, _pvt, Message(), and MessageIter.

Referenced by DBus::PropertiesAdaptor::Get(), DBus::IntrospectableProxy::Introspect(), and DBus::PropertiesAdaptor::Set().

## ◆ reply_serial() [1/2]

int Message::reply_serial | ( |  | ) | const

Definition at line 433 of file message.cpp.

References _pvt.

## ◆ reply_serial() [2/2]

bool Message::reply_serial | ( | int | s | ) |

Definition at line 438 of file message.cpp.

References _pvt.

## ◆ sender() [1/2]

const char * Message::sender | ( |  | ) | const

Definition at line 443 of file message.cpp.

References _pvt.

Referenced by DBus::ObjectProxy::handle_message(), and DBus::ObjectAdaptor::Private::message_function_stub().

## ◆ sender() [2/2]

bool Message::sender | ( | const char * | s | ) |

Definition at line 448 of file message.cpp.

References _pvt.

## ◆ serial()

int Message::serial | ( |  | ) | const

Definition at line 428 of file message.cpp.

References _pvt.

Referenced by DBus::ObjectAdaptor::Private::message_function_stub().

## ◆ terminate()

void Message::terminate | ( |  | ) |

Definition at line 418 of file message.cpp.

References _pvt.

## ◆ type()

int Message::type | ( |  | ) | const

Definition at line 423 of file message.cpp.

References _pvt.

Referenced by DBus::ObjectAdaptor::handle_message(), DBus::ObjectProxy::handle_message(), and is_error().

## ◆ writer()

MessageIter Message::writer | ( |  | ) |

Definition at line 473 of file message.cpp.

References DBus::MessageIter::_iter, _pvt, and MessageIter.

Referenced by DBus::PropertiesAdaptor::Get(), and DBus::IntrospectableAdaptor::Introspect().

## Friends And Related Symbol Documentation

## ◆ Connection

friend class Connection

friend

Definition at line 216 of file message.h.

References Connection.

Referenced by Connection.

## ◆ Error

friend class Error

friend

Definition at line 215 of file message.h.

References Error.

Referenced by Error.

## ◆ ErrorMessage

friend class ErrorMessage

friend

Definition at line 212 of file message.h.

References ErrorMessage.

Referenced by ErrorMessage.

## ◆ MessageIter

friend class MessageIter

friend

Definition at line 214 of file message.h.

References MessageIter.

Referenced by MessageIter, reader(), and writer().

## ◆ ReturnMessage

friend class ReturnMessage

friend

Definition at line 213 of file message.h.

References ReturnMessage.

Referenced by ReturnMessage.

## Member Data Documentation

## ◆ _pvt

RefPtrI<Private> DBus::Message::_pvt

protected

Definition at line 208 of file message.h.

Referenced by append(), DBus::CallMessage::CallMessage(), DBus::CallMessage::CallMessage(), copy(), destination(), destination(), DBus::Error::Error(), DBus::ErrorMessage::ErrorMessage(), DBus::ErrorMessage::ErrorMessage(), DBus::CallMessage::interface(), DBus::CallMessage::interface(), DBus::SignalMessage::interface(), DBus::SignalMessage::interface(), is_signal(), DBus::CallMessage::member(), DBus::CallMessage::member(), DBus::SignalMessage::member(), DBus::SignalMessage::member(), Message(), Message(), Message(), DBus::ErrorMessage::name(), DBus::ErrorMessage::name(), operator=(), DBus::CallMessage::operator==(), DBus::ErrorMessage::operator==(), DBus::SignalMessage::operator==(), DBus::CallMessage::path(), DBus::CallMessage::path(), DBus::SignalMessage::path(), DBus::SignalMessage::path(), DBus::CallMessage::path_split(), DBus::SignalMessage::path_split(), reader(), reply_serial(), reply_serial(), DBus::ReturnMessage::ReturnMessage(), DBus::Connection::send(), DBus::Connection::send_async(), DBus::Connection::send_blocking(), sender(), sender(), serial(), DBus::SignalMessage::SignalMessage(), DBus::SignalMessage::SignalMessage(), DBus::CallMessage::signature(), DBus::ReturnMessage::signature(), terminate(), type(), writer(), and ~Message().

The documentation for this class was generated from the following files:

- message.h
- message.cpp